Page MenuHomePhabricator

1.32.0-wmf.15 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.32.0-wmf.15
Release Date
1532908800

2018 week 31 1.32-wmf.15 Changes wmf/1.32.0-wmf.15

This MediaWiki Train Deployment is scheduled for the week of Monday, July 30th:

Monday July 30thTuesday, July 31stWednesday, August 1stThursday, August 2ndFriday
SWAT deployments only.Branch wmf.15 and deploy to Group 0 Wikis.Deploy wmf.15 to Group 1 Wikis.Deploy wmf.15 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.15 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.32.0-wmf.14
Next: 1.32.0-wmf.16

Event Timeline

greg created this task.Mar 29 2018, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 29 2018, 6:08 PM
greg triaged this task as Medium priority.Mar 29 2018, 6:15 PM
greg assigned this task to hashar.Jul 5 2018, 5:33 PM
zeljkofilipin removed mmodell as the assignee of this task.
zeljkofilipin added a subscriber: hashar.
zeljkofilipin added a subscriber: mmodell.
mmodell claimed this task.Jul 24 2018, 1:51 PM

Mentioned in SAL (#wikimedia-operations) [2018-07-31T17:19:40Z] <twentyafterfour> branching 1.32.0-wmf.15 refs T191061

Mentioned in SAL (#wikimedia-operations) [2018-08-01T19:53:05Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/Collection/: Sync Change: https://gerrit.wikimedia.org/r/449796 Bug: T189636 unblocks: T191061 (duration: 00m 57s)

Change 449810 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.15 refs T191061

https://gerrit.wikimedia.org/r/449810

Change 449810 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.32.0-wmf.15 refs T191061

https://gerrit.wikimedia.org/r/449810

Mentioned in SAL (#wikimedia-operations) [2018-08-01T20:23:40Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.32.0-wmf.15 refs T191061

Mentioned in SAL (#wikimedia-operations) [2018-08-01T20:24:36Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.32.0-wmf.15 refs T191061 (duration: 00m 55s)

Mentioned in SAL (#wikimedia-operations) [2018-08-01T20:36:52Z] <twentyafterfour> T191061 Finished deploying 1.32.0-wmf.15 to group1 wikis. Fatalmonitor is quiet and everything appears to be stable. See you tomorrow for group2.

Mentioned in SAL (#wikimedia-operations) [2018-08-02T19:07:52Z] <twentyafterfour> T191061 is free of blockers, proceeding with the train deployment: group2 wikis to 1.32.0-wmf.15

Change 450082 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.15 refs T191061

https://gerrit.wikimedia.org/r/450082

Change 450082 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.32.0-wmf.15 refs T191061

https://gerrit.wikimedia.org/r/450082

Mentioned in SAL (#wikimedia-operations) [2018-08-02T19:10:47Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.32.0-wmf.15 refs T191061

Mentioned in SAL (#wikimedia-operations) [2018-08-02T20:23:28Z] <twentyafterfour@deploy1001> Synchronized php-1.32.0-wmf.15/extensions/VisualEditor/includes/ApiVisualEditorEdit.php: sync https://gerrit.wikimedia.org/r/450090/ to unbreak prod refs T201083 T191061 (duration: 00m 49s)

mmodell closed this task as Resolved.Aug 3 2018, 6:41 PM